body {
  margin: 0;
  min-height: 100vh;
  /* background: #000; */
  background: #11111b;
  color: #cdd6f4;
  font-family: system-ui, sans-serif;
  position: relative;
  overflow: hidden;
}

body::before {
  content: attr(data-ascii);
  white-space: pre;

  position: fixed;
  inset: 0;
  font-family: monospace;
  font-size: 8px;
  line-height: 1.2;
  color: rgba(255, 255, 255, 0.25);

  pointer-events: none;
  user-select: none;

  display: flex;
  align-items: center;
  justify-content: center;

  z-index: 0;
  text-shadow: 0 0 8px rgba(0,255,0,0.25);
  filter: blur(0.2px);
  text-shadow:
  -3px 0 red,
   2px 0 cyan;
}


main {
  position: relative;
  z-index: 1;
}

a {
    color: #b4befe;
}

a:visited{
    color: #f38ba8;
}

a:hover{
    background-color: #45475a;
}

pre{
    background-color:rgba(30, 30, 46,80%);
    color: white;
    position: absolute;
    left: 1%;
    top: 1rem;
    width: 20rem;
    text-align: left;
    white-space: pre-line;
    padding: 10px;
    margin: 0;
    font-size: 0.75rem;
    @media all and (max-width: 600px) and (orientation:portrait) 
    {
        top: 30rem;
        width: 92%;
    }
}

#sidebar {
  position: absolute;
  left: 1%;
  top: 4.5rem;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  width: 20rem;
  @media all and (max-width: 600px) and (orientation:portrait) 
    {
        top: 33.5rem;
        width: 92%;
    }
}

#animepre,
#spotify {
  background-color: rgba(30, 30, 46, 80%);
  color: white;
  padding: 10px;
  font-family: monospace;
  font-size: 0.75rem;
  width: 100%;
}

.font {
  line-height: 1;
}